if (is_file ("")) ...                                                          /* "ERR_EMPTY_FILE_NAME" */

if (is_directory ("")) ...                                                     /* "ERR_EMPTY_DIRECTORY_NAME" */

if (is_file ("?*><")) ...                                                      /* "ERR_INCORRECT_FILE_NAME" */

if (is_directory ("?*><")) ...                                                 /* "ERR_INCORRECT_DIRECTORY_NAME" */
